import 'package:flutter/material.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/services.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'app/route.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();
  SystemChrome.setSystemUIOverlayStyle(const SystemUiOverlayStyle(
    statusBarIconBrightness:
        Brightness.dark, // this will change the brightness of the icons
    statusBarColor: Colors.white, // or any color you want
  ));
  runApp(
    const ProviderScope(
      child: MyApp(),
    ),
  );
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'App Petty Cash',
      theme: ThemeData(
        // primarySwatch: Colors.red,
        primarySwatch: Colors.orange,
      ),
      scrollBehavior: MaterialScrollBehavior().copyWith(
        dragDevices: {
          PointerDeviceKind.mouse,
          PointerDeviceKind.touch,
          PointerDeviceKind.stylus,
          PointerDeviceKind.unknown,
        },
      ),
      debugShowCheckedModeBanner: false,
      // initialRoute: loginRoute,
      // initialRoute: splashScreen,
      initialRoute: transaksiRoute,
      // initialRoute: reportRoute,
      // initialRoute: testFilePickerRoute,
      onGenerateRoute: AppRoute.generateRoute,
    );
  }
}
